import axios from "@/utils/request";


export function getCollectBusType(query) {
  return axios({
    url: "/udiwms/basic/collectBusType/getList",
    method: "get",
    params: query
  });
}

export function addCollectBusType(query) {
  return axios({
    url: "/udiwms/basic/collectPoints/addCollectBusType",
    method: "post",
    data: query
  });
}

export function updateCollectBusType(query) {
  return axios({
    url: "/udiwms/basic/collectPoints/updateCollectBusType",
    method: "post",
    data: query
  });
}



export function delCollectBusType(query) {
  return axios({
    url: "/udiwms/basic/collectPoints/delCollectBusType",
    method: "post",
    data: query
  });
}



export function genCode(query) {
  return axios({
    url: "/udiwms/basic/collectBusType/genCode",
    method: "post",
    data: query
  });
}
